> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses reportsexpensesover time



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/reports/expenses/over-time
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/reports/expenses/over-time:
    get:
      tags:
        - BusinessExpenseReports
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: StartDate
          in: query
          schema:
            type: string
            format: date-time
        - name: EndDate
          in: query
          schema:
            type: string
            format: date-time
        - name: BusinessId
          in: query
          schema:
            type: integer
            format: int64
        - name: EmployeeId
          in: query
          schema:
            type: integer
            format: int64
        - name: Currency
          in: query
          schema:
            type: string
        - name: IncludePreviousPeriod
          in: query
          schema:
            type: boolean
        - name: Interval
          in: query
          schema:
            $ref: '#/components/schemas/ReportsExpensesReportInterval'
        - name: CategoryId
          in: query
          schema:
            type: integer
            format: int64
        - name: VendorId
          in: query
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
components:
  schemas:
    ReportsExpensesReportInterval:
      enum:
        - DAY
        - WEEK
        - MONTH
        - QUARTER
        - YEAR
      type: string

````